{% extends 'tienda/base.html' %}

{% load static %}

{% block titul %} Categorías {% endblock %}

{% block contenedor %}
  <br>
  <div class="container-fluid">
    <a class="btn btn-success" href="{% url 'tienda:form_cat' %}">Crear</a>

    <form class="d-flex mt-2 mb-4" role="search" method="post" action="{% url 'tienda:cat_buscar' %}">
      {% csrf_token %}
      <input class="form-control me-2" type="search" placeholder="Buscar por nombre o descripción" aria-label="Search" name="buscar" value="{{ buscado }}">
      <button class="btn btn-outline-success" type="submit">Buscar</button>
    </form>


  {% if data %}
    <table class="table table-hover">
      <tr>
        <th>ID</th>
        <th>Nombre</th>
        <th>Descripción</th>
        <th>Acciones</th>
      </tr>
    {% for i in data %}
      <tr>
        <td>{{ i.id }}</td>
        <td>{{ i.nombre }}</td>
        <td>{{ i.descripcion }}</td>
        <td>
          <a href="{% url 'tienda:form_edit_cat' i.id %}" class="btn btn-info">Editar</a>
          <a href="javascript:confirmar_eliminar('{% url 'tienda:categorias_eliminar' i.id %}');" class="btn btn-danger">Eliminar</a>
        </td>
      </tr>
    {% endfor %}
    </table>

    <nav aria-label="...">
      <ul class="pagination">
        <li class="page-item disabled">
          <a class="page-link">Previous</a>
        </li>
        <li class="page-item"><a class="page-link" href="#">1</a></li>
        <li class="page-item active" aria-current="page">
          <a class="page-link" href="#">2</a>
        </li>
        <li class="page-item"><a class="page-link" href="#">3</a></li>
        <li class="page-item">
          <a class="page-link" href="#">Next</a>
        </li>
      </ul>
    </nav>

  {% else %}
    NO hay registros....
  {% endif %}
</div>
{% endblock %}